# vim: set ts=4 sw=4 et:

%define		realname	libmpd
%define		soname		1

Name:           libmpd
Version:        0.20.0
Release:        4.pm.6.1
Summary:        Library to control the Music Player Daemon
URL:            http://sarine.nl/libmpd/
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Multimedia/Sound/Players
# http://download.sarine.nl/Programs/gmpc/%{version}/libmpd-%{version}.tar.gz
Source:         libmpd-%{version}.tar.bz2
Patch1:         libmpd-fix_buffer_overflow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel pkgconfig

%description
Library to control the Music Player Daemon in applications.

%package -n %{name}%{soname}
Summary:        Library to control the Music Player Daemon
Group:          Productivity/Multimedia/Sound/Players

%description -n %{name}%{soname}
Library to control the Music Player Daemon in applications.

%package devel
Group:          Development/Languages/C and C++
Summary:        Development package for libmpd
Requires:       %{name}%{soname} = %{version}
Requires:       glib2-devel pkgconfig

%description devel
Development package for %{name}.

%package doc
Group:          Productivity/Multimedia/Sound/Players
Summary:        Documentation package for libmpd
Requires:       %{name}%{soname} = %{version}

%description doc
Documentation package for %{name}.

%prep
%setup -q -n "libmpd-%{version}"
%patch1

%build
%__sed -i -e "s|2.16|2.14|g" configure
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}"/*.la

%post   -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n %{name}%{soname}
%defattr(-,root,root)
%{_libdir}/%{realname}.so.%{soname}
%{_libdir}/%{realname}.so.%{soname}.*

%files devel
%defattr(-,root,root)
%{_libdir}/%{realname}.so
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/pkgconfig/*

%files doc
%defattr(-,root,root)
%doc README ChangeLog INSTALL COPYING

%changelog
* Thu Mar 10 2011 pascal.bleser@opensuse.org
- fix buffer overflow
* Sun Jun 27 2010 detlef@links2linux.de
- new upstream version <0.20.0>
* Wed Sep  2 2009 detlef@links2linux.de
- new upstream version <0.19.0>
* Tue Mar 10 2009 detlef@links2linux.de
- new upstream version <0.18.0>
* Sat Dec 27 2008 detlef@links2linux.de
- new upstream version <0.17.0>
  * Concatenate artist/composer/performer tag.
  * Support Query changes using idle command.
  * Unix socket support.
  * Fix false MPD_CST_STORED_PLAYLIST update.
  * Fix build on opensolaris.
  * Convert error messages to utf-8 before passing to gmpc.
  * Fix memory leak in idle check.
  * Several typo's fixed (thx to Priyank)
  * (Open) Solaris build fix.
  * Fix document distribution (thx to Priyank).
  * Support for playlist modification time.
  * Get more changed signals using idle command.
  * Convert debug output to locale before outputting.
* Fri Sep 26 2008 detlef@links2linux.de
- new upstream version <0.16.1>
  * Allow the error_callback to make an error critical (causing libmpd to disconnect)
* Mon Sep 22 2008 detlef@links2linux.de
- new upstream version <0.16.0>
* Mon Dec 17 2007 detlef@links2linux.de
- new upstream version <0.15.0>
* Thu Jul 26 2007 detlef@links2linux.de
- new upstream release <0.14.0>
- rename libmpd -> libmpd0
* Wed Mar 28 2007 detlef@links2linux.de
- new upstream release <0.13.0>
- fix URL
* Mon Jul 24 2006 bernhard@links2linux.de
- new upstream release
* Wed Feb 22 2006 bernhard@links2linux.de
- first package
